> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a comment for a porting order

> Creates a new comment for a porting order.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-orders.yml post /porting_orders/{id}/comments
openapi: 3.1.0
info:
  title: Telnyx Porting Orders API
  version: 2.0.0
  description: API for managing porting order lifecycle.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{id}/comments:
    post:
      tags:
        - Porting Orders
      summary: Create a comment for a porting order
      description: Creates a new comment for a porting order.
      operationId: CreatePortingOrderComment
      parameters:
        - $ref: '#/components/parameters/PathPortingOrderID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePortingOrderComment'
      responses:
        '201':
          $ref: '#/components/responses/ShowPortingOrdersComment'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const comment = await
            client.portingOrders.comments.create('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(comment.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            comment = client.porting_orders.comments.create(
                id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(comment.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcomment, err := client.PortingOrders.Comments.New(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.PortingOrderCommentNewParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", comment.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.comments.CommentCreateParams;

            import
            com.telnyx.sdk.models.portingorders.comments.CommentCreateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    CommentCreateResponse comment = client.portingOrders().comments().create("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            comment =
            telnyx.porting_orders.comments.create("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(comment)
        - lang: CLI
          source: |-
            telnyx porting-orders:comments create \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    PathPortingOrderID:
      name: id
      description: Porting Order id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    CreatePortingOrderComment:
      type: object
      properties:
        body:
          type: string
          example: Please, let me know when the port completes
    PortingOrdersComment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: f1486bae-f067-460c-ad43-73a92848f902
        body:
          type: string
          description: Body of comment
          example: Great experience so far
        porting_order_id:
          type: string
          format: uuid
          example: f1486bae-f067-460c-ad43-73a92848f902
        user_type:
          type: string
          description: >-
            Indicates whether this comment was created by a Telnyx Admin, user,
            or system
          enum:
            - admin
            - user
            - system
          example: user
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: porting_comment
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527Z'
  responses:
    ShowPortingOrdersComment:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PortingOrdersComment'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````